package com.njcn.pojo.excelBody;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;

import javax.persistence.Column;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author hongawen
 * @Date: 2018/11/8 14:24
 */
public class ProvinceExcelBody extends BaseRowModel implements Serializable {

    @Column(name="PROVINCE_INDEX")
    @ExcelProperty(value = "省会序号" ,index = 0)
    private BigDecimal provinceIndex;

    @Column(name="NAME")
    @ExcelProperty(value = "省会名称" ,index = 1)
    private String name;

    public BigDecimal getProvinceIndex() {
        return provinceIndex;
    }

    public void setProvinceIndex(BigDecimal provinceIndex) {
        this.provinceIndex = provinceIndex;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public String toString() {
        return "Province [provinceIndex=" + provinceIndex + ", name=" + name +"]";
    }
}
